org.appng.core.controller.messaging

## Class MulticastSender

- java.lang.Object
- - org.appng.core.controller.messaging.MulticastSender

- All Implemented Interfaces:
    Sender

      public class MulticastSender
      extends Object
      implements Sender

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPNG_MESSAGING_BIND_ADR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticastSender(String address, Integer port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MulticastSender` | `configure(Serializer eventSerializer)` Configures this sender with the given `Serializer`
    `protected String` | `getGroupAddress()`
    `protected Integer` | `getGroupPort()`
    `protected boolean` | `isSameAddress(String hostAddress)`
    `boolean` | `send(Event event)` Sends the given `Event`
    `protected void` | `setGroupAddress(String address)`
    `protected void` | `setGroupPort(Integer port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPNG_MESSAGING_BIND_ADR

          public static final String APPNG_MESSAGING_BIND_ADR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MulticastSender

          public MulticastSender(String address,
                                 Integer port)

  - ### Method Detail

    - #### configure

          public MulticastSender configure(Serializer eventSerializer)

      Description copied from interface: `Sender`
      Configures this sender with the given `Serializer`
      Specified by:
        `configure` in interface `Sender`
      Parameters:
        `eventSerializer` - the `Serializer` to use
      Returns:
        the sender

    - #### send

          public boolean send(Event event)

      Description copied from interface: `Sender`
      Sends the given `Event`
      Specified by:
        `send` in interface `Sender`
      Parameters:
        `event` - the `Event` so send
      Returns:
        whether or not sending the event was successful

    - #### getGroupPort

          protected Integer getGroupPort()

    - #### getGroupAddress

          protected String getGroupAddress()

    - #### setGroupPort

          protected void setGroupPort(Integer port)

    - #### setGroupAddress

          protected void setGroupAddress(String address)

    - #### isSameAddress

          protected boolean isSameAddress(String hostAddress)
                                   throws UnknownHostException,
                                          SocketException

      Throws:
        `UnknownHostException`
        `SocketException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.